Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 277216 - media-sound/darkice: fails to build with gcc-4.4
Summary: media-sound/darkice: fails to build with gcc-4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-07-09 16:10 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-07-30 17:07 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (darkice-0.19:20090709-150211.log,13.46 KB, text/plain)
2009-07-09 16:10 UTC, Diego Elio Pettenò (RETIRED)
Details
Build log (darkice-0.19:20090730-001008.log,14.90 KB, text/plain)
2009-07-30 16:48 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-09 16:10:00 UTC
As per summary, check attached build log.

And _please_ try not to fix it in the wrong way: http://blog.flameeyes.eu/2009/07/02/how-_not_-to-fix-gcc-4-4-bugs
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-09 16:10:48 UTC
Created attachment 197355 [details]
Build log
Comment 2 Samuli Suominen gentoo-dev 2009-07-10 01:07:19 UTC
Fixed in CVS, thanks.
Comment 3 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-30 16:47:52 UTC
Ehm are you sure?
Comment 4 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-30 16:48:04 UTC
Created attachment 199661 [details]
Build log
Comment 5 Samuli Suominen gentoo-dev 2009-07-30 17:07:58 UTC
(In reply to comment #3)
> Ehm are you sure?
> 

No, you are right. Managed to reproduce your case with all USE flags disabled.

Committed the missing bit to the gcc44.patch in tree (No ChangeLog entry, just cvs up to verify).

Thanks. ;-)